#macro SYDiamond(aDiameterA,aDiameterB)
        // factors
        #local lCrownHeight = 0.16;
        #local lGirdleHeight = 0.017;
        #local lPavilionHeight = 0.43;
        #local lHeight = lCrownHeight + lGirdleHeight + lPavilionHeight;

        // table
        #local lTableDiameter = 0.57;
        #local lTableEdgeCount = 8;
        
        // culet
        #local lCuletDiameter = 0.1;
        
//torus { 0.5,0.003 translate y*(lPavilionHeight+lGirdleHeight/2) pigment { rgb <1,1,0> } }
        
        #local lCutBox = box { <-2,0,-2>,<2,1,2> }
        difference {
                cylinder { <0,0,0>,<0,lHeight,0>,0.5 }
                
                // crown
                //      kite facets
                #local lRot = degrees(atan2(lCrownHeight,0.5-lTableDiameter/2));
                #local lCnt = 0;
                #while (lCnt < lTableEdgeCount)
                        object {lCutBox
                                rotate z*-lRot
                                translate <lTableDiameter/2,lHeight,0>
                                rotate y*lCnt/lTableEdgeCount*360 }
                        #local lCnt = lCnt+1;
                #end

                //      star facets
                #local lCnt = 0;
                #while (lCnt < lTableEdgeCount)
                        object {lCutBox
                                rotate z*-lRot/2
                                translate <lTableDiameter/2*0.92,lHeight,0>
                                rotate y*(lCnt+0.5)/lTableEdgeCount*360 }
                        #local lCnt = lCnt+1;
                #end
                
                //      upper girdle facets
                #local lCnt = 0;
                #while (lCnt < lTableEdgeCount)
                        object {lCutBox
                                rotate z*-lRot*1.14
                                rotate y*11.3
                                translate <0.5,lPavilionHeight+lGirdleHeight,0>
                                rotate y*(lCnt+0.5)/lTableEdgeCount*360 }
                        object {lCutBox
                                rotate z*-lRot*1.14
                                rotate y*-11.3
                                translate <0.5,lPavilionHeight+lGirdleHeight,0>
                                rotate y*(lCnt+0.5)/lTableEdgeCount*360 }
                        #local lCnt = lCnt+1;
                #end

                // pavilion
                //      pavilion facets
                #local lRot = degrees(atan2(lPavilionHeight,0.5-lCuletDiameter/2)); 
                #local lCnt = 0;
                #while (lCnt < lTableEdgeCount)
                        object {lCutBox
                                rotate z*(180-lRot*0.9)
                                translate <-0.5*1.1,lPavilionHeight,0>
                                rotate y*lCnt/lTableEdgeCount*360 }
                        #local lCnt = lCnt+1;
                #end
                
                //      lower girdle facets
                #local lCnt = 0;
                #while (lCnt < lTableEdgeCount)
                        object {lCutBox
                                rotate z*(180-lRot*1.0)
                                rotate y*4
                                translate <-0.5*0.99,lPavilionHeight*0.95,0>
                                rotate y*(lCnt+0.5)/lTableEdgeCount*360 }
                        object {lCutBox
                                rotate z*(180-lRot*1.0)
                                rotate y*-4
                                translate <-0.5*0.99,lPavilionHeight*0.95,0>
                                rotate y*(lCnt+0.5)/lTableEdgeCount*360 }
                        #local lCnt = lCnt+1;
                #end


                scale <aDiameterA, 1, aDiameterB>
// debug+
//                pigment { rgb <1,1,1> }
//                finish { diffuse 1 }
// debug-

                pigment { rgbt <1,1,1,0.9> }
                finish { diffuse 0.003 
                         reflection_type 1
                         reflection_min 0.2
                         reflection_max 0.001
                         specular 1 roughness 0.0001 }
                interior { ior 2.41
//                        dispersion 1.2
//                        disp_nelems 30
                        } // diamond as an IOR of 2.41

                clipped_by { cylinder { <0,0,0>,<0,lHeight+0.01,0>,0.51 } }
                bounded_by { clipped_by }
                
                photons { target
                        refraction on
                        reflection on
                        ignore_photons }
                
          }
#end
