#version unofficial MegaPov 0.7;
#include "Diamond.inc"

global_settings { assumed_gamma 1.3 
                  ambient_light 0.0
                  photons{
	                count 30000
                        autostop 0
                        jitter .4
                        load_file "DiamondPhotons.ph"
                }
                max_trace_level 30
 }



// something to reflect on the surface
sky_sphere {
    pigment {
      bozo scale 0.05 
      turbulence 0.3
      omega 0.4
      color_map {
        [ 0.2  rgb <0.3,0.3,1> ]
        [ 1.0  rgb 1 ]
      }
      scale 2
      translate -1
    }
  }


object { SYDiamond(1,1) scale 10 rotate z*-42 rotate y*40 }

plane { y,0 pigment { bozo turbulence 0.3 omega 0.4
                                color_map { [0 rgb <0.8,0.75,0.75>]
                                       [0.3 rgb <0.9,0.8,0.8>]
                                       [1.0 rgb <1,0.9,0.9>] } scale 1 } 
            finish { diffuse 1 ambient 0.4 specular 0.1 roughness 0.01}
            normal { bozo turbulence 0.8 omega 0.5 bump_size 0.7 scale 0.02*<1,1,0.5> rotate y*-45 }
                hollow }
                          
camera { location <0,0.8,-1.5>*10
         look_at <0,0.05,0>*10 }

#local lLightLocation = <-50,5,50>*10;
light_source { lLightLocation rgb 0.2 
                spotlight
                radius 1
                falloff 2 
                tightness 1
                point_at <0,0,0>
                fade_distance vlength(lLightLocation)*0.8
                fade_power 2
                photons { refraction off
                          reflection off }
                }

// fake dispersion (faster)
light_source { <0.4,0.4,0.3>*10 rgb <0.1,0.05,0.05> }
light_source { <0.4,0.5,0.3>*10 rgb <0.05,0.1,0.05> }
light_source { <0.4,0.5,0.3>*10 rgb <0.05,0.05,0.1> }
